수납 및 결제취소

결제 상태 동기화

post

청구서를 통한 결제가 완료되면 페이민트 -> 파트너사에게 결제 상태를 전달합니다. 파트너사는 해당 URL로 결제 상태를 수신하여 자사 시스템에 반영합니다. 파트너사는 페이민트를 통해 결과를 수신할 수 있도록 REST api 형태로 URL을 전달해야합니다.

아래의 필드들을 토대로 페이민트가 호출할 수 있도록 개발 후 수신 응답을 response 양식에 맞춰 개발해야 합니다. response 성공 예제 데이터가 동일한 양식으로 데이터가 오지 않거나 응답 오류가 발생할 경우 페이민트는 24시간동안 매시간마다 동기화를 재시도합니다.

Body
apikeystring · max: 32Required

파트너 연동을 위한 고유키

Example: partner-api-key
bill_idstring · max: 20Required

청구서 ID

문자/숫자 20자리 (중복불가)

-개발: 사업자번호 + 10자리 자유롭게 사용

-운영: 20자리 자유롭게 사용

Example: 사업자번호-100000001
appr_card_typestringOptional

결제카드종류

appr_pay_typestringOptional

결제수단코드

Example: CARD_VAN
appr_dtstringOptional

승인일시

Example: 20250105134753
appr_origin_dtstringOptional

원거래 승인일시

Example: 20250105134753
appr_pricestringOptional

승인금액

Example: 10000
appr_numstringOptional

승인번호

Example: 12345678
appr_origin_numstringOptional

원거래승인번호

Example: 12345678
appr_statestringRequired

결제 상태

F:결제완료, W:미결제, C:취소, D:파기

Example: F
appr_issuerstringOptional

결제은행 / 카드명

Example: ISSUER
appr_issuer_cdstringOptional

발행카드코드/은행코드

Example: 04
appr_issuer_numstringOptional

결제카드 / 계좌번호

Example: 123456**********
appr_acquirer_cdstringOptional

매입사코드

Example: 04
appr_acquirer_nmstringOptional

매입사명

Example: ACQUIRER
appr_res_cdstringOptional

응답코드

Example: 0000
appr_monthlystringOptional

결제시 할부개월수

Example: 00
appr_cash_numstringOptional

현금영수증 발급 승인번호

Example: 0000
appr_cash_traderstringOptional

현금영수증 발급 구분

개인:0, 사업자:1

Example: 0
appr_cash_issuance_numberstringOptional

현금영수증 발급 요청 번호

-현금영수증 발급 시 사용

-자진발급시 "0100001234"

Example: 0100001234
Responses
chevron-right
200

성공

application/json
codestringOptional

응답 코드

Example: 0000
msgstringOptional

응답 메세지

Example: 성공하였습니다.
post
/{파트너사가 제공하는 callbackUrl}
200

성공

결제 취소

post

결제가 완료된 청구서의 결제 상태를 승인 -> 승인취소 처리 합니다.

Body
apikeystring · max: 32Required

파트너 연동을 위한 고유키

Example: partner-api-key
merchantstring · max: 30Required

파트너 매장 코드

Example: partner-merchant-1
memberstring · max: 30Required

파트너 사용자 코드

Example: partner-user-1
bill_idstringRequired

청구서 ID
문자/숫자 20자리 (중복불가)
-개발: 사업자번호 + 10자리 자유롭게 사용
-운영: 20자리 자유롭게 사용

Example: 사업자번호-100000001
hashstringRequired

통신 암호 키
{phone} 값이 설정된 경우 {bill_id} + "," + {phone} + "," + {price} 값으로 Hash 생성
{phone} 값이 설정되어 있지 않은 경우 {bill_id} + "," + {price} 값으로 Hash 생성

Example: a0213f3f9e45e8540e91a1339e0c5deee2dd27c4cb6b039436538c316bb45fa6
pricestringRequired

결제 금액

Example: 10000
Responses
chevron-right
200

성공

application/json
codestringOptional

응답 코드

Example: 0000
msgstringOptional

응답 메세지

Example: 성공하였습니다.
apikeystring · max: 32Optional

파트너 연동을 위한 고유키

Example: partner-api-key
memberstring · max: 30Optional

파트너 매장 코드

Example: partner-merchant-1
merchantstring · max: 30Optional

파트너 사용자 코드

Example: partner-user-1
bill_idstring · max: 20Optional

청구서 ID
문자/숫자 20자리 (중복불가)
-개발: 사업자번호 + 10자리 자유롭게 사용
-운영: 20자리 자유롭게 사용

Example: 사업자번호-100000001
hashstringOptional

통신 암호 키
{phone} 값이 설정된 경우 {bill_id} + "," + {phone} + "," + {price} 값으로 Hash 생성
{phone} 값이 설정되어 있지 않은 경우 {bill_id} + "," + {price} 값으로 Hash 생성

Example: a0213f3f9e45e8540e91a1339e0c5deee2dd27c4cb6b039436538c316bb45fa6
appr_numstringOptional

취소 승인 번호

Example: 22222222
appr_origin_numstringOptional

원거래 승인 번호

Example: 11111111
appr_cancel_dtstringOptional

취소 일시

Example: 20250105140322
post
/if/bill/cancel
200

성공

결제 상태 조회

post

발송된 청구서에 대한 결제 상태를 조회합니다.

Body
apikeystring · max: 32Required

파트너 연동을 위한 고유키

Example: partner-api-key
merchantstring · max: 30Required

파트너 매장 코드

Example: partner-merchant-1
memberstring · max: 30Required

파트너 사용자 코드

Example: partner-user-1
bill_idstringRequired

청구서 ID
문자/숫자 20자리 (중복불가)
-개발: 사업자번호 + 10자리 자유롭게 사용
-운영: 20자리 자유롭게 사용

Example: 사업자번호-100000001
Responses
chevron-right
200

성공

application/json
apikeystring · max: 32Optional

파트너 연동을 위한 고유키

Example: partner-api-key
bill_idstring · max: 20Optional

청구서 ID
문자/숫자 20자리 (중복불가)
-개발: 사업자번호 + 10자리 자유롭게 사용
-운영: 20자리 자유롭게 사용

Example: 사업자번호-100000001
appr_cat_idstringOptional

단말기번호

Example: A123456789
appr_pay_typestringOptional

결제수단코드

Example: CARD_VAN
appr_card_typestringOptional

결제 카드 종류 (신용, 체크, ...)

Example: CARD
appr_dtstringOptional

승인일시

Example: 20250105134753
appr_origin_dtstringOptional

원거래 승인일시

Example: 20250105134753
appr_pricestringOptional

승인금액

Example: 10000
appr_issuerstringOptional

결제은행 / 카드명

Example: ISSUER
appr_issuer_cdstringOptional

발행카드코드/은행코드

Example: 04
appr_issuer_numstringOptional

결제카드 / 계좌번호

Example: 123456**********
appr_acquirer_cdstringOptional

매입사코드

Example: 04
appr_acquirer_nmstringOptional

매입사명

Example: ACQUIRER
appr_numstringOptional

응답코드

Example: 8756372
appr_origin_numstringOptional

원거래승인번호

Example: 12345678
appr_res_cdstringOptional

응답코드

Example: 0000
appr_monthlystringOptional

결제시 할부개월수

Example: 00
appr_statestringOptional

결제 상태
F:결제완료, W:미결제, C:취소, D:파기

Example: F
appr_cash_numstringOptional

현금영수증 발급 승인번호

Example: 0000
appr_cash_traderstringOptional

현금영수증 발급 구분
개인:0, 사업자:1

Example: 0
appr_cash_issuance_numberstringOptional

현금영수증 발급 요청 번호
-현금영수증 발급 시 사용

-자진발급시 "0100001234"

Example: 0100001234
post
/if/bill/read
200

성공